com.mockobjects.dynamic

## Interface CallableAddable

- All Superinterfaces:
    Callable, Verifiable
  All Known Implementing Classes:
    CallBag, CallSequence

      public interface CallableAddable
      extends Callable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExpect(Callable call)`
    `void` | `addMatch(Callable call)`
    `void` | `reset()` Resets all expected calls and expected matches.

    - ### Methods inherited from interface com.mockobjects.dynamic.Callable

      `call, getDescription, matches`

    - ### Methods inherited from interface com.mockobjects.Verifiable

      `verify`

- - ### Method Detail

    - #### addExpect

          void addExpect(Callable call)

    - #### addMatch

          void addMatch(Callable call)

    - #### reset

          void reset()

      Resets all expected calls and expected matches.

Copyright © 2002 Mock Objects. All Rights Reserved.